Display a blue button with a magnifying glass (no "search")
Closed, ResolvedPublic1 Story Points

Description

Note: We've changed the scope of this ticket - the original information is below in italics.

Display on the portal page the larger, more prominent search text box with a blue button next to it with a magnifying glass icon in it.

I noticed we are introducing an english label within the Search button.
Determine whether we should display the label "Search" in english.
Or only show the search icon?
Or i18n the label? (but comes the issue of getting all those labels, and I'd rather avoid it actually /@JGirault)

JGirault created this task.Feb 2 2016, 7:29 PM
JGirault updated the task description. (Show Details)
JGirault raised the priority of this task from to High.
JGirault added subscribers: MSyed, Ironholds, JGirault and 3 others.
ksmith moved this task from Needs triage to On Sprint Board on the Discovery board.Feb 2 2016, 9:20 PM
debt added a comment.Feb 2 2016, 11:27 PM

Hi @JGirault - I'd like the "Search" label to be localized if that's possible. That way, we can keep the larger box as we did in the A/B/C test (as shown in the image below).

I'd say we localize the 'search' button or don't show the word 'search' at all.

That being said, since we're were planning on A/B testing the 'ghost text' feature T124427
which would place the word 'search' in the text box, I don't think it's necessary to add the same word
right beside it on the button.

@JGirault Your right that some of @MSyed's mockups on T112171 do feature a button with the word 'search'
but I think we should do one or the other, not both (ghost-text or button).

One obstacle to consider if we do want to localize the button, is that we'd have to support a variable-width button
to accomadate all the languages (the image below is a little extreme, but who knows).

.

(Never mind the actual task of finding an appropriate implementation for localization, as discussed here T121843 )

debt added a comment.Feb 4 2016, 12:00 AM

Hi @Jdrewniak - great comments!

Let's keep the localized "Search" button as is for right now. Once we get the test done for the ghost text, and if all is well, we can drop the search in the button (make the button smaller) and use the localized language ghost text in the actual search box.

We'll have to try out the localized language ghost text to get a nice text box width to fit the longest translation. :)

debt set Security to None.Feb 5 2016, 7:07 PM
debt edited a custom field.
debt renamed this task from Should we show the label "Search"? to Display a blue button with a magnifying glass (no "search").Feb 5 2016, 10:42 PM
debt updated the task description. (Show Details)
debt lowered the priority of this task from High to Normal.
debt assigned this task to Jdrewniak.
debt added a comment.Feb 5 2016, 11:28 PM

We'll use these images for the search box (magnifying glass)... Thanks, @MSyed!

Actually look at the card here to get the right icon images. Thanks @Jdrewniak!

https://phabricator.wikimedia.org/T112211

Change 269428 had a related patch set uploaded (by Jdrewniak):
Display a blue button with a magnifying glass Seach icon and lang-picker caret now use sprite images.

https://gerrit.wikimedia.org/r/269428

debt added a comment.Feb 10 2016, 1:05 AM

added https://phabricator.wikimedia.org/T126392 to be sure the magnifying glass is not pixelated.

Change 269428 merged by jenkins-bot:
Display a blue button with a magnifying glass Seach icon and lang-picker caret now use sprite images.

https://gerrit.wikimedia.org/r/269428

debt closed this task as Resolved.Feb 22 2016, 10:03 PM
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Mar 1 2016, 9:29 PM